org.springframework.data.repository.init

## Interface ResourceReader

All Known Implementing Classes:
  Jackson2ResourceReader, UnmarshallingResourceReader

    public interface ResourceReader

Author:
  Oliver Gierke, Christoph Strobl

### Nested Class Summary

Nested Classes
`static class` `ResourceReader.Type`

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `readFrom(Resource resource, ClassLoader classLoader)` Reads a single or `Collection` of target objects from the given `Resource`.

### Method Detail

#### readFrom

    Object readFrom(Resource resource,
                    @Nullable
                    ClassLoader classLoader)
             throws Exception

Reads a single or `Collection` of target objects from the given `Resource`.

Parameters:
  `resource` - must not be null.
  `classLoader` - can be null.
Returns:
  `Collection` of target objects if resource contains multiple ones of single on. Never null.
Throws:
  `Exception`